package bmsi.tui;
import java.awt.Color;
import java.awt.image.ColorModel;

/** Color to pixel translation.  The ColorModel
    abstract class provides access to translation from
    pixel values to Color objects. This class gives acess to
    the reverse translation.
 */
public abstract class ColorModelPeer extends ColorModel {
  protected ColorModelPeer(int p) { super(p); }
  /** Convert a Color to a pixel value.
    @param c the color to convert
    @return the pixel value
   */
  public abstract int getPixel(Color c);
}
