package bmsi.awt;

import java.awt.TextArea;
import java.io.OutputStream;

public class TextAreaOutputStream extends OutputStream {
  private final StringBuffer buf = new StringBuffer();
  private final TextArea ta;

  public TextAreaOutputStream(TextArea ta) {
    this.ta = ta;
  }
  public void write(int b) {
    buf.append((char)b);
  }
  public void write(byte[] b,int off,int len) {
    for (int i = 0; i < len; ++i)
      buf.append((char)b[off+i]);
  }
  public void flush() {
    ta.appendText(buf.toString());
    buf.setLength(0);
  }
}
