package bmsi.awt;

import java.awt.TextArea;
import java.io.OutputStream;
import java.io.PrintStream;

public class TextLog extends TextArea {
  private PrintStream out;
  public TextLog(int rows,int cols) {
    super("",rows,cols);
    setEditable(false);
  }
  public synchronized PrintStream getPrintStream() {
    if (out == null)
      out = new PrintStream(new TextAreaOutputStream(this),true);
    return out;
  }
}
